PPL: Parma_Polyhedra_Library::Poly_Con_Relation Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# Parma_Polyhedra_Library::Poly_Con_Relation Class Reference

The relation between a polyhedron and a constraint. More...

List of all members.

## Public Member Functions
bool | implies (const Poly_Con_Relation &y) const
| True if and only if `*this` implies `y`.
bool | OK () const
| Checks if all the invariants are satisfied.
## Static Public Member Functions
Poly_Con_Relation | nothing ()
| The assertion that says nothing.
Poly_Con_Relation | is_disjoint ()
| The polyhedron and the set of points satisfying the constraint are disjoint.
Poly_Con_Relation | strictly_intersects ()
| The polyhedron intersects the set of points satisfying the constraint, but it is not included in it.
Poly_Con_Relation | is_included ()
| The polyhedron is included in the set of points satisfying the constraint.
Poly_Con_Relation | saturates ()
| The polyhedron is included in the set of points saturating the constraint.
## Related Functions
(Note that these are not member functions.)
bool | operator== (const Poly_Con_Relation &x, const Poly_Con_Relation &y)
| True if and only if `x` and `y` are logically equivalent.
bool | operator!= (const Poly_Con_Relation &x, const Poly_Con_Relation &y)
| True if and only if `x` and `y` are not logically equivalent.
Poly_Con_Relation | operator && (const Poly_Con_Relation &x, const Poly_Con_Relation &y)
| Yields the logical conjunction of `x` and `y`.
Poly_Con_Relation | operator- (const Poly_Con_Relation &x, const Poly_Con_Relation &y)
| Yields the assertion with all the conjuncts of `x` that are not in `y`.
std::ostream & | operator<< (std::ostream &s, const Poly_Con_Relation &r)
| Output operator.

## Detailed Description

The relation between a polyhedron and a constraint.

This class implements conjunctions of assertions on the relation between a polyhedron and a constraint.